org.jclouds.vcloud.director.v1_5.features
Interface VmApi


public interface VmApi

Provides synchronous access to Vm objects.

Version:
1.5
Author:
grkvlt@apache.org
See Also:
VmAsyncApi

Method Summary
 void answerQuestion(URI vmURI, VmQuestionAnswer answer)
          Answer a pending question on a Vm.
 Task consolidateVm(URI vmURI)
          Consolidates a Vm.
 Task deleteVm(URI vmURI)
          Deletes a Vm.
 Task deploy(URI vmURI, DeployVAppParams params)
          Deploys a Vm.
 Task discardSuspendedState(URI vmURI)
          Discard suspended state of a Vm.
 Task ejectMedia(URI vmURI, MediaInsertOrEjectParams mediaParams)
          Ejects media from a Vm.
 GuestCustomizationSection getGuestCustomizationSection(URI vmURI)
          Retrieves the guest customization section of a Vm.
 MetadataApi.Writeable getMetadataApi()
          Synchronous access to Vm Metadata features.
 NetworkConnectionSection getNetworkConnectionSection(URI vmURI)
          Retrieves the network connection section of a Vm.
 OperatingSystemSection getOperatingSystemSection(URI vmURI)
          Retrieves the operating system section of a Vm.
 VmPendingQuestion getPendingQuestion(URI vmURI)
          Retrieves a pending question for a Vm.
 ProductSectionList getProductSections(URI vmURI)
          Retrieves Vm product sections.
 RuntimeInfoSection getRuntimeInfoSection(URI vmURI)
          Retrieves the runtime info section of a Vm.
 byte[] getScreenImage(URI vmURI)
          Retrieves the thumbnail of the screen of a Vm.
 ScreenTicket getScreenTicket(URI vmURI)
          Retrieve a screen ticket for remote console connection to a Vm.
 VirtualHardwareSection getVirtualHardwareSection(URI vmURI)
          Retrieves the virtual hardware section of a Vm.
 RasdItem getVirtualHardwareSectionCpu(URI vmURI)
          Retrieves the CPU properties in virtual hardware section of a Vm.
 RasdItemsList getVirtualHardwareSectionDisks(URI vmURI)
          Retrieves a list of items for disks from virtual hardware section of a Vm.
 RasdItemsList getVirtualHardwareSectionMedia(URI vmURI)
          Retrieves the list of items that represents the floppies and CD/DVD drives in a Vm.
 RasdItem getVirtualHardwareSectionMemory(URI vmURI)
          Retrieves the item that contains memory information from virtual hardware section of a Vm.
 RasdItemsList getVirtualHardwareSectionNetworkCards(URI vmURI)
          Retrieves a list of items for network cards from virtual hardware section of a Vm.
 RasdItemsList getVirtualHardwareSectionSerialPorts(URI vmURI)
          Retrieves a list of items for serial ports from virtual hardware section of a Vm.
 Vm getVm(URI vmURI)
          Retrieves a Vm.
 Task insertMedia(URI vmURI, MediaInsertOrEjectParams mediaParams)
          Insert media into a Vm.
 Task installVMwareTools(URI vmURI)
          Installs VMware tools to the virtual machine.
 Task modifyGuestCustomizationSection(URI vmURI, GuestCustomizationSection section)
          Modifies the guest customization section of a Vm.
 Task modifyNetworkConnectionSection(URI vmURI, NetworkConnectionSection section)
          Modifies the network connection section of a Vm.
 Task modifyOperatingSystemSection(URI vmURI, OperatingSystemSection section)
          Modifies the operating system section of a Vm.
 Task modifyProductSections(URI vmURI, ProductSectionList sectionList)
          Modifies the product section information of a Vm.
 Task modifyVirtualHardwareSection(URI vmURI, VirtualHardwareSection section)
          Modifies the virtual hardware section of a Vm.
 Task modifyVirtualHardwareSectionCpu(URI vmURI, RasdItem rasd)
          Modifies the CPU properties in virtual hardware section of a Vm.
 Task modifyVirtualHardwareSectionDisks(URI vmURI, RasdItemsList rasdItemsList)
          Modifies the disks list in virtual hardware section of a Vm.
 Task modifyVirtualHardwareSectionMemory(URI vmURI, RasdItem rasd)
          Modifies the memory properties in virtual hardware section of a Vm.
 Task modifyVirtualHardwareSectionNetworkCards(URI vmURI, RasdItemsList rasdItemsList)
          Modifies the network cards list in virtual hardware section of a Vm.
 Task modifyVirtualHardwareSectionSerialPorts(URI vmURI, RasdItemsList rasdItemsList)
          Modifies the serial ports list in virtual hardware section of a Vm.
 Task modifyVm(URI vmURI, Vm vm)
          Modifies the name/description of a Vm.
 Task powerOff(URI vmURI)
          Powers off a Vm.
 Task powerOn(URI vmURI)
          Powers on a Vm.
 Task reboot(URI vmURI)
          Reboots a Vm.
 Task relocateVm(URI vmURI, RelocateParams params)
          Relocates a Vm.
 Task reset(URI vmURI)
          Resets a Vm.
 Task shutdown(URI vmURI)
          Shuts down a Vm.
 Task suspend(URI vmURI)
          Suspends a Vm.
 Task undeploy(URI vmURI, UndeployVAppParams params)
          Undeploy a Vm.
 Task upgradeHardwareVersion(URI vmURI)
          Upgrade virtual hardware version of a VM to the highest supported virtual hardware version of provider vDC where the VM locates.
 

Method Detail

getVm

Vm getVm(URI vmURI)
Retrieves a Vm.

Since:
0.9
See Also:
VAppApi.getVApp(URI)

modifyVm

Task modifyVm(URI vmURI,
              Vm vm)
Modifies the name/description of a Vm.

Since:
0.9
See Also:
VAppApi.modifyVApp(URI, VApp)

deleteVm

Task deleteVm(URI vmURI)
Deletes a Vm.

Since:
0.9
See Also:
VAppApi.deleteVApp(URI)

consolidateVm

Task consolidateVm(URI vmURI)
Consolidates a Vm.
 POST /vApp/{id}/action/consolidate
 

Since:
1.5

deploy

Task deploy(URI vmURI,
            DeployVAppParams params)
Deploys a Vm.

Since:
0.9
See Also:
VAppApi.deploy(URI, DeployVAppParams)

discardSuspendedState

Task discardSuspendedState(URI vmURI)
Discard suspended state of a Vm.

Since:
0.9
See Also:
VAppApi.discardSuspendedState(URI)

installVMwareTools

Task installVMwareTools(URI vmURI)
Installs VMware tools to the virtual machine. It should be running in order for them to be installed.
 POST /vApp/{id}/action/installVMwareTools
 

Since:
1.5

relocateVm

Task relocateVm(URI vmURI,
                RelocateParams params)
Relocates a Vm.
 POST /vApp/{id}/action/relocate
 

Since:
1.5

undeploy

Task undeploy(URI vmURI,
              UndeployVAppParams params)
Undeploy a Vm.

Since:
0.9
See Also:
VAppApi.undeploy(URI, UndeployVAppParams)

upgradeHardwareVersion

Task upgradeHardwareVersion(URI vmURI)
Upgrade virtual hardware version of a VM to the highest supported virtual hardware version of provider vDC where the VM locates.
 POST /vApp/{id}/action/upgradeHardwareVersion
 

Since:
1.5

powerOff

Task powerOff(URI vmURI)
Powers off a Vm.

Since:
0.9
See Also:
VAppApi.powerOff(URI)

powerOn

Task powerOn(URI vmURI)
Powers on a Vm.

Since:
0.9
See Also:
VAppApi.powerOn(URI)

reboot

Task reboot(URI vmURI)
Reboots a Vm.

Since:
0.9
See Also:
VAppApi.reboot(URI)

reset

Task reset(URI vmURI)
Resets a Vm.

Since:
0.9
See Also:
VAppApi.reset(URI)

shutdown

Task shutdown(URI vmURI)
Shuts down a Vm.

Since:
0.9
See Also:
VAppApi.shutdown(URI)

suspend

Task suspend(URI vmURI)
Suspends a Vm.

Since:
0.9
See Also:
VAppApi.suspend(URI)

getGuestCustomizationSection

GuestCustomizationSection getGuestCustomizationSection(URI vmURI)
Retrieves the guest customization section of a Vm.
 GET /vApp/{id}/guestCustomizationSection
 

Since:
1.0
See Also:
VAppApi#

modifyGuestCustomizationSection

Task modifyGuestCustomizationSection(URI vmURI,
                                     GuestCustomizationSection section)
Modifies the guest customization section of a Vm.
 PUT /vApp/{id}/guestCustomizationSection
 

Since:
1.0

ejectMedia

Task ejectMedia(URI vmURI,
                MediaInsertOrEjectParams mediaParams)
Ejects media from a Vm.
 PUT /vApp/{id}/media/action/ejectMedia
 

Since:
0.9

insertMedia

Task insertMedia(URI vmURI,
                 MediaInsertOrEjectParams mediaParams)
Insert media into a Vm.
 PUT /vApp/{id}/media/action/insertMedia
 

Since:
0.9

getNetworkConnectionSection

NetworkConnectionSection getNetworkConnectionSection(URI vmURI)
Retrieves the network connection section of a Vm.
 GET /vApp/{id}/networkConnectionSection
 

Since:
0.9

modifyNetworkConnectionSection

Task modifyNetworkConnectionSection(URI vmURI,
                                    NetworkConnectionSection section)
Modifies the network connection section of a Vm.
 PUT /vApp/{id}/networkConnectionSection
 

Since:
0.9

getOperatingSystemSection

OperatingSystemSection getOperatingSystemSection(URI vmURI)
Retrieves the operating system section of a Vm.
 GET /vApp/{id}/operatingSystemSection
 

Since:
0.9

modifyOperatingSystemSection

Task modifyOperatingSystemSection(URI vmURI,
                                  OperatingSystemSection section)
Modifies the operating system section of a Vm.
 PUT /vApp/{id}/operatingSystemSection
 

Since:
0.9

getProductSections

ProductSectionList getProductSections(URI vmURI)
Retrieves Vm product sections.

Since:
1.5
See Also:
VAppApi.getProductSections(URI)

modifyProductSections

Task modifyProductSections(URI vmURI,
                           ProductSectionList sectionList)
Modifies the product section information of a Vm.

Since:
1.5
See Also:
VAppApi.modifyProductSections(URI, ProductSectionList)

getPendingQuestion

VmPendingQuestion getPendingQuestion(URI vmURI)
Retrieves a pending question for a Vm. The user should answer to the question by operation answerQuestion(URI, VmQuestionAnswer). Usually questions will be asked when the VM is powering on.
 GET /vApp/{id}/question
 

Since:
0.9

answerQuestion

void answerQuestion(URI vmURI,
                    VmQuestionAnswer answer)
Answer a pending question on a Vm. The answer IDs of choice and question should match the ones returned from operation getPendingQuestion(URI).
 POST /vApp/{id}/question/action/answer
 

Since:
0.9

getRuntimeInfoSection

RuntimeInfoSection getRuntimeInfoSection(URI vmURI)
Retrieves the runtime info section of a Vm.
 GET /vApp/{id}/runtimeInfoSection
 

Since:
1.5

getScreenImage

byte[] getScreenImage(URI vmURI)
Retrieves the thumbnail of the screen of a Vm. The content type of the response may vary (e.g. image/png, image/gif).
 GET /vApp/{id}/screen
 

Since:
0.9

getScreenTicket

ScreenTicket getScreenTicket(URI vmURI)
Retrieve a screen ticket for remote console connection to a Vm. A screen ticket is a string that includes the virtual machine's IP address, its managed object reference, and a string that has been encoded as described in RFC 2396. Each VM element in a vApp includes a link where rel="screen:acquireTicket". You can use that link to request a screen ticket that you can use with the vmware-vmrc utility to open a VMware Remote Console for the virtual machine represented by that VM element. The vApp should be running to get a valid screen ticket.
 GET /vApp/{id}/screen/action/acquireTicket
 

Since:
0.9

getVirtualHardwareSection

VirtualHardwareSection getVirtualHardwareSection(URI vmURI)
Retrieves the virtual hardware section of a Vm.
 GET /vApp/{id}/virtualHardwareSection
 

Since:
0.9

modifyVirtualHardwareSection

Task modifyVirtualHardwareSection(URI vmURI,
                                  VirtualHardwareSection section)
Modifies the virtual hardware section of a Vm.
 PUT /vApp/{id}/virtualHardwareSection
 

Since:
0.9

getVirtualHardwareSectionCpu

RasdItem getVirtualHardwareSectionCpu(URI vmURI)
Retrieves the CPU properties in virtual hardware section of a Vm.
 GET /vApp/{id}/virtualHardwareSection/cpu
 

Since:
0.9

modifyVirtualHardwareSectionCpu

Task modifyVirtualHardwareSectionCpu(URI vmURI,
                                     RasdItem rasd)
Modifies the CPU properties in virtual hardware section of a Vm.
 PUT /vApp/{id}/virtualHardwareSection/cpu
 

Since:
0.9

getVirtualHardwareSectionDisks

RasdItemsList getVirtualHardwareSectionDisks(URI vmURI)
Retrieves a list of items for disks from virtual hardware section of a Vm.
 GET /vApp/{id}/virtualHardwareSection/disks
 

Since:
0.9

modifyVirtualHardwareSectionDisks

Task modifyVirtualHardwareSectionDisks(URI vmURI,
                                       RasdItemsList rasdItemsList)
Modifies the disks list in virtual hardware section of a Vm.
 PUT /vApp/{id}/virtualHardwareSection/disks
 

Since:
0.9

getVirtualHardwareSectionMedia

RasdItemsList getVirtualHardwareSectionMedia(URI vmURI)
Retrieves the list of items that represents the floppies and CD/DVD drives in a Vm.
 GET /vApp/{id}/virtualHardwareSection/media
 

Since:
0.9

getVirtualHardwareSectionMemory

RasdItem getVirtualHardwareSectionMemory(URI vmURI)
Retrieves the item that contains memory information from virtual hardware section of a Vm.
 GET /vApp/{id}/virtualHardwareSection/memory
 

Since:
0.9

modifyVirtualHardwareSectionMemory

Task modifyVirtualHardwareSectionMemory(URI vmURI,
                                        RasdItem rasd)
Modifies the memory properties in virtual hardware section of a Vm.
 PUT /vApp/{id}/virtualHardwareSection/memory
 

Since:
0.9

getVirtualHardwareSectionNetworkCards

RasdItemsList getVirtualHardwareSectionNetworkCards(URI vmURI)
Retrieves a list of items for network cards from virtual hardware section of a Vm.
 GET /vApp/{id}/virtualHardwareSection/networkCards
 

Since:
0.9

modifyVirtualHardwareSectionNetworkCards

Task modifyVirtualHardwareSectionNetworkCards(URI vmURI,
                                              RasdItemsList rasdItemsList)
Modifies the network cards list in virtual hardware section of a Vm.
 PUT /vApp/{id}/virtualHardwareSection/networkCards
 

Since:
0.9

getVirtualHardwareSectionSerialPorts

RasdItemsList getVirtualHardwareSectionSerialPorts(URI vmURI)
Retrieves a list of items for serial ports from virtual hardware section of a Vm.
 GET /vApp/{id}/virtualHardwareSection/serialPorts
 

Since:
1.5

modifyVirtualHardwareSectionSerialPorts

Task modifyVirtualHardwareSectionSerialPorts(URI vmURI,
                                             RasdItemsList rasdItemsList)
Modifies the serial ports list in virtual hardware section of a Vm.
 PUT /vApp/{id}/virtualHardwareSection/serialPorts
 

Since:
1.5

getMetadataApi

MetadataApi.Writeable getMetadataApi()
Synchronous access to Vm Metadata features.



Copyright © 2009-2012 jclouds. All Rights Reserved.